<?php
/**
 * Copyright ETS Software Technology Co., Ltd
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 * You are not allowed to redistribute, resell, lease, license, sub-license or offer our resources to any third party.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future.
 *
 * @author ETS Software Technology Co., Ltd
 * @copyright  ETS Software Technology Co., Ltd
 * @license    Valid for 1 website (or project) for each purchase of license
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class EtsAwuUpdating
{
    public function updateDuplicateProduct()
    {
        $products = Db::getInstance()->executeS(
            'SELECT link_rewrite,count(id_product) as count_id,min(id_product) as minid,id_shop,id_lang
                        FROM `' . _DB_PREFIX_ . 'product_lang`
                        GROUP BY id_shop,id_lang,link_rewrite
                        HAVING count_id>1'
        );
        if ($products && !empty($products)) {
            foreach ($products as $product) {
                if ($product['link_rewrite']) {
                    try {
                        Db::getInstance()->execute(
                            'UPDATE `' . _DB_PREFIX_ . "product_lang` 
                                        SET link_rewrite=CONCAT(link_rewrite, '-', id_product) 
                                        WHERE `link_rewrite`='" . pSQL($product['link_rewrite']) . "' AND id_product != " . (int) $product['minid'] . ' AND `id_shop`=' . (int) $product['id_shop'] . ' AND `id_lang`=' . (int) $product['id_lang']
                        );
                    } catch (Exception $ex) {
                    }
                }
            }
        }
    }

    public function updateDuplicateCategory()
    {
        $results = Db::getInstance()->executeS(
            'SELECT link_rewrite,count(id_category) as count_id,min(id_category) as minid,id_shop,id_lang
                        FROM `' . _DB_PREFIX_ . 'category_lang`
                        GROUP BY id_shop,id_lang,link_rewrite
                        HAVING count_id>1'
        );
        if ($results && !empty($results)) {
            foreach ($results as $item) {
                if ($item['link_rewrite']) {
                    try {
                        Db::getInstance()->execute(
                            'UPDATE `' . _DB_PREFIX_ . "category_lang` 
                                        SET link_rewrite=CONCAT(link_rewrite, '-', id_category) 
                                        WHERE `link_rewrite`='" . pSQL($item['link_rewrite']) . "' AND id_category != " . (int) $item['minid'] . ' AND `id_shop`=' . (int) $item['id_shop'] . ' AND `id_lang`=' . (int) $item['id_lang']
                        );
                    } catch (Exception $ex) {
                    }
                }
            }
        }
    }

    public function updateDuplicateCMS()
    {
        $results = Db::getInstance()->executeS(
            'SELECT link_rewrite,count(id_cms) as count_id,min(id_cms) as minid,id_shop,id_lang
                        FROM `' . _DB_PREFIX_ . 'cms_lang`
                        GROUP BY id_shop,id_lang,link_rewrite
                        HAVING count_id>1'
        );
        if ($results && !empty($results)) {
            foreach ($results as $item) {
                if ($item['link_rewrite']) {
                    try {
                        Db::getInstance()->execute(
                            'UPDATE `' . _DB_PREFIX_ . "cms_lang` 
                                        SET link_rewrite=CONCAT(link_rewrite, '-', id_cms) 
                                        WHERE `link_rewrite`='" . pSQL($item['link_rewrite']) . "' AND id_cms != " . (int) $item['minid'] . ' AND `id_shop`=' . (int) $item['id_shop'] . ' AND `id_lang`=' . (int) $item['id_lang']
                        );
                    } catch (Exception $ex) {
                    }
                }
            }
        }
    }

    public function updateDuplicateCMSCategory()
    {
        $results = Db::getInstance()->executeS(
            'SELECT link_rewrite,count(id_cms_category) as count_id,min(id_cms_category) as minid,id_shop,id_lang
                        FROM `' . _DB_PREFIX_ . 'cms_category_lang`
                        GROUP BY id_shop,id_lang,link_rewrite
                        HAVING count_id>1'
        );
        if ($results && !empty($results)) {
            foreach ($results as $item) {
                if ($item['link_rewrite']) {
                    try {
                        Db::getInstance()->execute(
                            'UPDATE `' . _DB_PREFIX_ . "cms_category_lang` 
                                        SET link_rewrite=CONCAT(link_rewrite, '-', id_cms_category) 
                                        WHERE `link_rewrite`='" . pSQL($item['link_rewrite']) . "' AND id_cms_category != " . (int) $item['minid'] . ' AND `id_shop`=' . (int) $item['id_shop'] . ' AND `id_lang`=' . (int) $item['id_lang']
                        );
                    } catch (Exception $ex) {
                    }
                }
            }
        }
    }

    public function updateDuplicateMeta()
    {
        $results = Db::getInstance()->executeS(
            'SELECT url_rewrite,count(id_meta) as count_id,min(id_meta) as minid,id_shop,id_lang
                        FROM `' . _DB_PREFIX_ . 'meta_lang`
                        GROUP BY id_shop,id_lang,url_rewrite
                        HAVING count_id>1'
        );
        if ($results && !empty($results)) {
            foreach ($results as $item) {
                if ($item['url_rewrite']) {
                    try {
                        Db::getInstance()->execute(
                            'UPDATE `' . _DB_PREFIX_ . "meta_lang` 
                                        SET url_rewrite=CONCAT(url_rewrite, '-', id_meta) 
                                        WHERE `url_rewrite`='" . pSQL($item['url_rewrite']) . "' AND id_meta != " . (int) $item['minid'] . ' AND `id_shop`=' . (int) $item['id_shop'] . ' AND `id_lang`=' . (int) $item['id_lang']
                        );
                    } catch (Exception $ex) {
                    }
                }
            }
        }
    }
}
